/**
 * Available Bindings:
 *
 * sdc.state:
 *   A dict that is preserved between invocations
 *   of this script. Useful for caching bits of
 *   data e.g. counters.
 *
 * sdc.userParams:
 *   Key-value pairs specified in the ADVANCED tab
 *
 * sdc.log.<level>(msg, obj...):
 *   Use instead of println to send log messages to
 *   the log4j log instead of stdout. loglevel is
 *   any log4j level: e.g. info, warn, error, trace.
 *
 * sdc.isPreview():
 *   Determine if pipeline is in preview mode
 *
 * sdc.createMap(boolean listMap):
 *   Create a map for use as a field in a record.
 *   Pass true to this function to create a list map
 *   (ordered map)
 *
 * sdc.pipelineParameters():
 *   Map with pipeline runtime parameters.
 */

// sdc.state['connection'] = Connection().open();
